> For the complete documentation index, see [llms.txt](https://docs.titanrelay.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.titanrelay.xyz/proposers/registrations.md).

# Registrations

**NB**: If your client does not support add custom headers. Please contact us and we can manually enable the below features for your validators.

### Optional Authentication with the `x-api-key` Header

Users can obtain an api key from us and Authenticate via the `x-api-key` header. Validators registered with a valid authentication header will automatically skip any delay before `get_payload` is returned.

Example:

```
x-api-key: hcDL4sdCpIDgg6rvFkdUWdNc
```

### Customizing Validator Preferences with the `x-preferences` Header

Users can customize preferences for validators by including the `x-preferences` header with a JSON string of their settings.

Preferences include:

* `filtering:` A string indicating which filtering policy to use ("regional" or "global").&#x20;
* `trusted_builders`: Specify a list of builders whose blocks are accepted.&#x20;
* `header_delay`: If set to false, will disable any relay-level delays for the `get_header` response.

Example:

```
x-preferences: {"filtering": "global", "trusted_builders": ["Titan", "Beaver", "Rsync"], "header_delay": false}
```

### Default Preferences

In the absence of the `x-preferences` header, the following defaults apply:

* **Filtering**: `"global"` (no filtering).
* **Header Delay**: `true` (relay-level `get_header` delays enabled).
* **Trusted Builders**: `no default` (if you do not want to enforce any Trusted Builder rules, omit this key).

Specifying a single preference (e.g., `{"header_delay": false}`) overrides only that setting, with others remaining at their default values.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.titanrelay.xyz/proposers/registrations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
